<?php
// Register action to declare required plugins
add_action('tgmpa_register', 'themesflat_recommend_plugin');
function themesflat_recommend_plugin() {
    
    $plugins = array(
        array(
            'name' => esc_html__('Elementor', 'homeya'),
            'slug' => 'elementor',
            'required' => true
        ),
        array(
            'name' => esc_html__('ThemesFlat Core', 'homeya'),
            'slug' => 'themesflat-core',
            'source' => THEMESFLAT_DIR . 'inc/plugins/themesflat-core.zip',
            'required' => true
        ),
        array(
            'name' => esc_html__('TF Real Estate', 'homeya'),
            'slug' => 'tf-real-estate',
            'source' => 'https://themesflat.co/3rdplugins/tf-real-estate-plugin.zip',
            'required' => true
        ),
        array(
            'name' => esc_html__('Redux Framework', 'homeya'),
            'slug' => 'redux-framework',
            'required' => true
        ),
        array(
            'name' => esc_html__('Contact Form 7', 'homeya'),
            'slug' => 'contact-form-7',
            'required' => false
        ),    
        array(
            'name' => esc_html__('Mailchimp', 'homeya'),
            'slug' => 'mailchimp-for-wp',
            'required' => false
        ),     
        array(
            'name' => esc_html__('WP Mail SMTP', 'homeya'),
            'slug' => 'wp-mail-smtp',
            'required' => false
        ),   
        array(
            'name' => esc_html__('One Click Demo Import', 'homeya'),
            'slug' => 'one-click-demo-import',
            'required' => false
        )   
    );
    
    tgmpa($plugins);
}

